#!/bin/sh

while [ 1 ] ; do
    if [ -f ./cosmostreamer.conf ] ; then
	. ./cosmostreamer.conf
    else
	sleep 1
	continue
    fi

    if [ "$rtmp_url" = "" ] ; then
	sleep 5
	continue
    fi

    if [ "$audio_enabled" = "1" ] ; then
	gst-launch-1.0 -q udpsrc port=3002 buffer-size=1300000 ! h264parse config-interval=1 ! flvmux name=muxer1 streamable=1 udpsrc port=4002 ! "audio/mpeg,mpegversion=(int)4,channels=(int)1,rate=(int)44100,stream-format=(string)raw,codec_data=(buffer)1208" ! aacparse ! queue ! muxer1. muxer1. ! rtmpsink location="$rtmp_url" sync=true > /dev/null 2>&1
    else
	gst-launch-1.0 -q udpsrc port=3002 buffer-size=1300000 ! h264parse config-interval=1 ! flvmux name=muxer1 streamable=1 audiotestsrc volume=0 ! "audio/x-raw,channels=1,depth=8,width=8,rate=8000" ! voaacenc bitrate=8000 ! aacparse ! queue ! muxer1. muxer1. ! rtmpsink location="$rtmp_url" sync=true > /dev/null 2>&1
    fi

    sleep 1
done
