#!/bin/sh

while [ 1 ] ; do
	if [ -f ./cosmostreamer.conf ] ; then
    . ./cosmostreamer.conf
	else
		sleep 1
		continue
	fi

    if [ "$tcp_port" = "" ] ; then
	tcp_port=5555
    fi

    if [ "$audio_enabled" = "1" ] ; then
        gst-launch-1.0 -q udpsrc port=3004 buffer-size=1300000 ! h264parse ! mpegtsmux name=muxer udpsrc port=4004 ! "audio/mpeg,mpegversion=(int)4,channels=(int)1,rate=(int)44100,stream-format=(string)raw,codec_data=(buffer)1208" ! aacparse ! queue ! muxer. muxer. ! tcpserversink port=$tcp_port host=0.0.0.0 > /dev/null 2>&1
    else
		gst-launch-1.0 -q udpsrc port=3004 buffer-size=1300000 ! h264parse ! mpegtsmux name=muxer ! tcpserversink port=$tcp_port host=0.0.0.0 > /dev/null 2>&1
    fi

    sleep 1
done
