#!/bin/sh

while [ 1 ] ; do
	if [ -f ./cosmostreamer.conf ] ; then
    . ./cosmostreamer.conf
	else
		sleep 1
		continue
	fi

    if [ "$audio_enabled" = "1" ] ; then
	gst-launch-1.0 -q alsasrc device=plughw:1,0 buffer-time=200000 latency-time=2000 slave-method=2 ! "audio/x-raw,channels=1,depth=16,width=16,rate=44100" ! voaacenc bitrate=$audio_bitrate ! multiudpsink clients=127.0.0.1:4001 sync=false > /dev/null 2>&1
    fi

    sleep 1
done
