#!/bin/sh

while [ 1 ] ; do
    if [ -f ./cosmostreamer.conf ] ; then
	. ./cosmostreamer.conf
    else
	sleep 1
	continue
    fi

    if [ "$mpegts_clients" = "" ] ; then
	sleep 5
	continue
    fi

    if [ "$audio_enabled" = "1" ] ; then
	gst-launch-1.0 -q udpsrc port=3003 buffer-size=1300000 ! h264parse ! mpegtsmux alignment=7 name=muxer udpsrc port=4003 ! "audio/mpeg,mpegversion=(int)4,channels=(int)1,rate=(int)44100,stream-format=(string)raw,codec_data=(buffer)1208" ! aacparse ! queue ! muxer. muxer. ! rndbuffersize max=1316 min=1316 ! multiudpsink clients="$mpegts_clients" sync=false > /dev/null 2>&1
    else
	gst-launch-1.0 -v udpsrc port=3003 buffer-size=1300000 ! h264parse ! mpegtsmux alignment=7 name=muxer ! rndbuffersize max=1316 min=1316 ! multiudpsink clients="$mpegts_clients" sync=false > /dev/null 2>&1
    fi

    sleep 1
done
