#!/bin/sh

while [ 1 ] ; do
	if [ -f ./cosmostreamer.conf ] ; then
    . ./cosmostreamer.conf
	else
		sleep 1
		continue
	fi

	if [ "$video_transcode_enabled" = "1" ] ; then
	    gst-launch-1.0 -q udpsrc port=3000 buffer-size=1300000 ! h264parse ! omxh264dec ! queue ! omxh264enc target-bitrate=$video_bitrate control-rate=1 ! video/x-h264,width=$video_width,height=$video_height,profile=baseline ! h264parse config-interval=1 ! fdsink sync=true | ./bin/chunker --input=stdin -c 127.0.0.1:3001 -m 1300
	fi

    sleep 1
done
